Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class NVVertexProgram

    java.lang.Object
      org.lwjgl.opengl.NVProgram
          org.lwjgl.opengl.NVVertexProgram

    public final class NVVertexProgram

extends NVProgram

Field Summary
`static int` | `GL_ATTRIB_ARRAY_POINTER_NV` Accepted by the <pname> parameter of GetVertexAttribPointervNV:
`static int` | `GL_ATTRIB_ARRAY_SIZE_NV` Accepted by the <pname> parameter of GetVertexAttrib[dfi]vNV:
`static int` | `GL_ATTRIB_ARRAY_STRIDE_NV`
`static int` | `GL_ATTRIB_ARRAY_TYPE_NV`
`static int` | `GL_CURRENT_ATTRIB_NV`
`static int` | `GL_CURRENT_MATRIX_NV`
`static int` | `GL_CURRENT_MATRIX_STACK_DEPTH_NV`
`static int` | `GL_IDENTITY_NV` Accepted by the <transform> parameter of TrackMatrixNV:
`static int` | `GL_INVERSE_NV`
`static int` | `GL_INVERSE_TRANSPOSE_NV`
`static int` | `GL_MAP1_VERTEX_ATTRIB0_4_NV` Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_MAP1_VERTEX_ATTRIB1_4_NV`
`static int` | `GL_MAP1_VERTEX_ATTRIB10_4_NV`
`static int` | `GL_MAP1_VERTEX_ATTRIB11_4_NV`
`static int` | `GL_MAP1_VERTEX_ATTRIB12_4_NV`
`static int` | `GL_MAP1_VERTEX_ATTRIB13_4_NV`
`static int` | `GL_MAP1_VERTEX_ATTRIB14_4_NV`
`static int` | `GL_MAP1_VERTEX_ATTRIB15_4_NV`
`static int` | `GL_MAP1_VERTEX_ATTRIB2_4_NV`
`static int` | `GL_MAP1_VERTEX_ATTRIB3_4_NV`
`static int` | `GL_MAP1_VERTEX_ATTRIB4_4_NV`
`static int` | `GL_MAP1_VERTEX_ATTRIB5_4_NV`
`static int` | `GL_MAP1_VERTEX_ATTRIB6_4_NV`
`static int` | `GL_MAP1_VERTEX_ATTRIB7_4_NV`
`static int` | `GL_MAP1_VERTEX_ATTRIB8_4_NV`
`static int` | `GL_MAP1_VERTEX_ATTRIB9_4_NV`
`static int` | `GL_MAP2_VERTEX_ATTRIB0_4_NV` Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_MAP2_VERTEX_ATTRIB1_4_NV`
`static int` | `GL_MAP2_VERTEX_ATTRIB10_4_NV`
`static int` | `GL_MAP2_VERTEX_ATTRIB11_4_NV`
`static int` | `GL_MAP2_VERTEX_ATTRIB12_4_NV`
`static int` | `GL_MAP2_VERTEX_ATTRIB13_4_NV`
`static int` | `GL_MAP2_VERTEX_ATTRIB14_4_NV`
`static int` | `GL_MAP2_VERTEX_ATTRIB15_4_NV`
`static int` | `GL_MAP2_VERTEX_ATTRIB2_4_NV`
`static int` | `GL_MAP2_VERTEX_ATTRIB3_4_NV`
`static int` | `GL_MAP2_VERTEX_ATTRIB4_4_NV`
`static int` | `GL_MAP2_VERTEX_ATTRIB5_4_NV`
`static int` | `GL_MAP2_VERTEX_ATTRIB6_4_NV`
`static int` | `GL_MAP2_VERTEX_ATTRIB7_4_NV`
`static int` | `GL_MAP2_VERTEX_ATTRIB8_4_NV`
`static int` | `GL_MAP2_VERTEX_ATTRIB9_4_NV`
`static int` | `GL_MATRIX0_NV` Accepted by the <matrix> parameter of TrackMatrixNV and by the <mode> parameter of MatrixMode:
`static int` | `GL_MATRIX1_NV`
`static int` | `GL_MATRIX2_NV`
`static int` | `GL_MATRIX3_NV`
`static int` | `GL_MATRIX4_NV`
`static int` | `GL_MATRIX5_NV`
`static int` | `GL_MATRIX6_NV`
`static int` | `GL_MATRIX7_NV`
`static int` | `GL_MAX_TRACK_MATRICES_NV`
`static int` | `GL_MAX_TRACK_MATRIX_STACK_DEPTH_NV` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_MODELVIEW_PROJECTION_NV` Accepted by the <matrix> parameter of TrackMatrixNV:
`static int` | `GL_PROGRAM_PARAMETER_NV` Accepted by the <pname> parameter of GetProgramParameterfvNV and GetProgramParameterdvNV:
`static int` | `GL_TRACK_MATRIX_NV` Accepted by the <pname> parameter of GetTrackMatrixivNV:
`static int` | `GL_TRACK_MATRIX_TRANSFORM_NV`
`static int` | `GL_TRANSPOSE_NV`
`static int` | `GL_VERTEX_ATTRIB_ARRAY0_NV` Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_VERTEX_ATTRIB_ARRAY1_NV`
`static int` | `GL_VERTEX_ATTRIB_ARRAY10_NV`
`static int` | `GL_VERTEX_ATTRIB_ARRAY11_NV`
`static int` | `GL_VERTEX_ATTRIB_ARRAY12_NV`
`static int` | `GL_VERTEX_ATTRIB_ARRAY13_NV`
`static int` | `GL_VERTEX_ATTRIB_ARRAY14_NV`
`static int` | `GL_VERTEX_ATTRIB_ARRAY15_NV`
`static int` | `GL_VERTEX_ATTRIB_ARRAY2_NV`
`static int` | `GL_VERTEX_ATTRIB_ARRAY3_NV`
`static int` | `GL_VERTEX_ATTRIB_ARRAY4_NV`
`static int` | `GL_VERTEX_ATTRIB_ARRAY5_NV`
`static int` | `GL_VERTEX_ATTRIB_ARRAY6_NV`
`static int` | `GL_VERTEX_ATTRIB_ARRAY7_NV`
`static int` | `GL_VERTEX_ATTRIB_ARRAY8_NV`
`static int` | `GL_VERTEX_ATTRIB_ARRAY9_NV`
`static int` | `GL_VERTEX_PROGRAM_BINDING_NV`
`static int` | `GL_VERTEX_PROGRAM_NV` Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of BindProgramNV, ExecuteProgramNV, GetProgramParameter[df]vNV, GetTrackMatrixivNV, LoadProgramNV, ProgramParameter[s]4[df][v]NV, and TrackMatrixNV:
`static int` | `GL_VERTEX_PROGRAM_POINT_SIZE_NV` Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_VERTEX_PROGRAM_TWO_SIDE_NV`
`static int` | `GL_VERTEX_STATE_PROGRAM_NV` Accepted by the <target> parameter of ExecuteProgramNV and LoadProgramNV:

Fields inherited from class org.lwjgl.opengl.NVProgram
`GL_PROGRAM_ERROR_POSITION_NV, GL_PROGRAM_ERROR_STRING_NV, GL_PROGRAM_LENGTH_NV, GL_PROGRAM_RESIDENT_NV, GL_PROGRAM_STRING_NV, GL_PROGRAM_TARGET_NV`

Method Summary
`static void` | `glExecuteProgramNV(int target, int id, java.nio.FloatBuffer params)`
`static void` | `glGetProgramParameterNV(int target, int index, int parameterName, java.nio.DoubleBuffer params)`
`static void` | `glGetProgramParameterNV(int target, int index, int parameterName, java.nio.FloatBuffer params)`
`static void` | `glGetTrackMatrixNV(int target, int address, int parameterName, java.nio.IntBuffer params)`
`static void` | `glGetVertexAttribNV(int index, int parameterName, java.nio.DoubleBuffer params)`
`static void` | `glGetVertexAttribNV(int index, int parameterName, java.nio.FloatBuffer params)`
`static void` | `glGetVertexAttribNV(int index, int parameterName, java.nio.IntBuffer params)`
`static java.nio.ByteBuffer` | `glGetVertexAttribPointerNV(int index, int parameterName, long result_size)`
`static void` | `glProgramParameter4dNV(int target, int index, double x, double y, double z, double w)`
`static void` | `glProgramParameter4fNV(int target, int index, float x, float y, float z, float w)`
`static void` | `glProgramParameters4NV(int target, int index, java.nio.DoubleBuffer params)`
`static void` | `glProgramParameters4NV(int target, int index, java.nio.FloatBuffer params)`
`static void` | `glTrackMatrixNV(int target, int address, int matrix, int transform)`
`static void` | `glVertexAttrib1dNV(int index, double x)`
`static void` | `glVertexAttrib1fNV(int index, float x)`
`static void` | `glVertexAttrib1sNV(int index, short x)`
`static void` | `glVertexAttrib2dNV(int index, double x, double y)`
`static void` | `glVertexAttrib2fNV(int index, float x, float y)`
`static void` | `glVertexAttrib2sNV(int index, short x, short y)`
`static void` | `glVertexAttrib3dNV(int index, double x, double y, double z)`
`static void` | `glVertexAttrib3fNV(int index, float x, float y, float z)`
`static void` | `glVertexAttrib3sNV(int index, short x, short y, short z)`
`static void` | `glVertexAttrib4dNV(int index, double x, double y, double z, double w)`
`static void` | `glVertexAttrib4fNV(int index, float x, float y, float z, float w)`
`static void` | `glVertexAttrib4sNV(int index, short x, short y, short z, short w)`
`static void` | `glVertexAttrib4ubNV(int index, byte x, byte y, byte z, byte w)`
`static void` | `glVertexAttribPointerNV(int index, int size, int type, int stride, java.nio.ByteBuffer buffer)`
`static void` | `glVertexAttribPointerNV(int index, int size, int type, int stride, java.nio.DoubleBuffer buffer)`
`static void` | `glVertexAttribPointerNV(int index, int size, int type, int stride, java.nio.FloatBuffer buffer)`
`static void` | `glVertexAttribPointerNV(int index, int size, int type, int stride, java.nio.IntBuffer buffer)`
`static void` | `glVertexAttribPointerNV(int index, int size, int type, int stride, long buffer_buffer_offset)`
`static void` | `glVertexAttribPointerNV(int index, int size, int type, int stride, java.nio.ShortBuffer buffer)`
`static void` | `glVertexAttribs1NV(int index, java.nio.DoubleBuffer v)`
`static void` | `glVertexAttribs1NV(int index, java.nio.FloatBuffer v)`
`static void` | `glVertexAttribs1NV(int index, java.nio.ShortBuffer v)`
`static void` | `glVertexAttribs2NV(int index, java.nio.DoubleBuffer v)`
`static void` | `glVertexAttribs2NV(int index, java.nio.FloatBuffer v)`
`static void` | `glVertexAttribs2NV(int index, java.nio.ShortBuffer v)`
`static void` | `glVertexAttribs3NV(int index, java.nio.DoubleBuffer v)`
`static void` | `glVertexAttribs3NV(int index, java.nio.FloatBuffer v)`
`static void` | `glVertexAttribs3NV(int index, java.nio.ShortBuffer v)`
`static void` | `glVertexAttribs4NV(int index, java.nio.DoubleBuffer v)`
`static void` | `glVertexAttribs4NV(int index, java.nio.FloatBuffer v)`
`static void` | `glVertexAttribs4NV(int index, java.nio.ShortBuffer v)`

Methods inherited from class org.lwjgl.opengl.NVProgram
`glAreProgramsResidentNV, glBindProgramNV, glDeleteProgramsNV, glGenProgramsNV, glGetProgramNV, glGetProgramStringNV, glIsProgramNV, glLoadProgramNV, glRequestResidentProgramsNV`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_VERTEX_PROGRAM_NV

    public static final int GL_VERTEX_PROGRAM_NV

  Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of BindProgramNV, ExecuteProgramNV, GetProgramParameter[df]vNV, GetTrackMatrixivNV, LoadProgramNV, ProgramParameter[s]4[df][v]NV, and TrackMatrixNV:

  See Also:
    Constant Field Values

### GL_VERTEX_PROGRAM_POINT_SIZE_NV

    public static final int GL_VERTEX_PROGRAM_POINT_SIZE_NV

  Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_VERTEX_PROGRAM_TWO_SIDE_NV

    public static final int GL_VERTEX_PROGRAM_TWO_SIDE_NV

See Also:
  Constant Field Values

### GL_VERTEX_STATE_PROGRAM_NV

    public static final int GL_VERTEX_STATE_PROGRAM_NV

  Accepted by the <target> parameter of ExecuteProgramNV and LoadProgramNV:

  See Also:
    Constant Field Values

### GL_ATTRIB_ARRAY_SIZE_NV

    public static final int GL_ATTRIB_ARRAY_SIZE_NV

  Accepted by the <pname> parameter of GetVertexAttrib[dfi]vNV:

  See Also:
    Constant Field Values

### GL_ATTRIB_ARRAY_STRIDE_NV

    public static final int GL_ATTRIB_ARRAY_STRIDE_NV

See Also:
  Constant Field Values

### GL_ATTRIB_ARRAY_TYPE_NV

    public static final int GL_ATTRIB_ARRAY_TYPE_NV

See Also:
  Constant Field Values

### GL_CURRENT_ATTRIB_NV

    public static final int GL_CURRENT_ATTRIB_NV

See Also:
  Constant Field Values

### GL_PROGRAM_PARAMETER_NV

    public static final int GL_PROGRAM_PARAMETER_NV

  Accepted by the <pname> parameter of GetProgramParameterfvNV and GetProgramParameterdvNV:

  See Also:
    Constant Field Values

### GL_ATTRIB_ARRAY_POINTER_NV

    public static final int GL_ATTRIB_ARRAY_POINTER_NV

  Accepted by the <pname> parameter of GetVertexAttribPointervNV:

  See Also:
    Constant Field Values

### GL_TRACK_MATRIX_NV

    public static final int GL_TRACK_MATRIX_NV

  Accepted by the <pname> parameter of GetTrackMatrixivNV:

  See Also:
    Constant Field Values

### GL_TRACK_MATRIX_TRANSFORM_NV

    public static final int GL_TRACK_MATRIX_TRANSFORM_NV

See Also:
  Constant Field Values

### GL_MAX_TRACK_MATRIX_STACK_DEPTH_NV

    public static final int GL_MAX_TRACK_MATRIX_STACK_DEPTH_NV

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_MAX_TRACK_MATRICES_NV

    public static final int GL_MAX_TRACK_MATRICES_NV

See Also:
  Constant Field Values

### GL_CURRENT_MATRIX_STACK_DEPTH_NV

    public static final int GL_CURRENT_MATRIX_STACK_DEPTH_NV

See Also:
  Constant Field Values

### GL_CURRENT_MATRIX_NV

    public static final int GL_CURRENT_MATRIX_NV

See Also:
  Constant Field Values

### GL_VERTEX_PROGRAM_BINDING_NV

    public static final int GL_VERTEX_PROGRAM_BINDING_NV

See Also:
  Constant Field Values

### GL_MODELVIEW_PROJECTION_NV

    public static final int GL_MODELVIEW_PROJECTION_NV

  Accepted by the <matrix> parameter of TrackMatrixNV:

  See Also:
    Constant Field Values

### GL_MATRIX0_NV

    public static final int GL_MATRIX0_NV

  Accepted by the <matrix> parameter of TrackMatrixNV and by the <mode> parameter of MatrixMode:

  See Also:
    Constant Field Values

### GL_MATRIX1_NV

    public static final int GL_MATRIX1_NV

See Also:
  Constant Field Values

### GL_MATRIX2_NV

    public static final int GL_MATRIX2_NV

See Also:
  Constant Field Values

### GL_MATRIX3_NV

    public static final int GL_MATRIX3_NV

See Also:
  Constant Field Values

### GL_MATRIX4_NV

    public static final int GL_MATRIX4_NV

See Also:
  Constant Field Values

### GL_MATRIX5_NV

    public static final int GL_MATRIX5_NV

See Also:
  Constant Field Values

### GL_MATRIX6_NV

    public static final int GL_MATRIX6_NV

See Also:
  Constant Field Values

### GL_MATRIX7_NV

    public static final int GL_MATRIX7_NV

See Also:
  Constant Field Values

### GL_IDENTITY_NV

    public static final int GL_IDENTITY_NV

  Accepted by the <transform> parameter of TrackMatrixNV:

  See Also:
    Constant Field Values

### GL_INVERSE_NV

    public static final int GL_INVERSE_NV

See Also:
  Constant Field Values

### GL_TRANSPOSE_NV

    public static final int GL_TRANSPOSE_NV

See Also:
  Constant Field Values

### GL_INVERSE_TRANSPOSE_NV

    public static final int GL_INVERSE_TRANSPOSE_NV

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY0_NV

    public static final int GL_VERTEX_ATTRIB_ARRAY0_NV

  Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY1_NV

    public static final int GL_VERTEX_ATTRIB_ARRAY1_NV

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY2_NV

    public static final int GL_VERTEX_ATTRIB_ARRAY2_NV

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY3_NV

    public static final int GL_VERTEX_ATTRIB_ARRAY3_NV

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY4_NV

    public static final int GL_VERTEX_ATTRIB_ARRAY4_NV

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY5_NV

    public static final int GL_VERTEX_ATTRIB_ARRAY5_NV

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY6_NV

    public static final int GL_VERTEX_ATTRIB_ARRAY6_NV

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY7_NV

    public static final int GL_VERTEX_ATTRIB_ARRAY7_NV

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY8_NV

    public static final int GL_VERTEX_ATTRIB_ARRAY8_NV

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY9_NV

    public static final int GL_VERTEX_ATTRIB_ARRAY9_NV

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY10_NV

    public static final int GL_VERTEX_ATTRIB_ARRAY10_NV

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY11_NV

    public static final int GL_VERTEX_ATTRIB_ARRAY11_NV

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY12_NV

    public static final int GL_VERTEX_ATTRIB_ARRAY12_NV

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY13_NV

    public static final int GL_VERTEX_ATTRIB_ARRAY13_NV

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY14_NV

    public static final int GL_VERTEX_ATTRIB_ARRAY14_NV

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY15_NV

    public static final int GL_VERTEX_ATTRIB_ARRAY15_NV

See Also:
  Constant Field Values

### GL_MAP1_VERTEX_ATTRIB0_4_NV

    public static final int GL_MAP1_VERTEX_ATTRIB0_4_NV

  Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_MAP1_VERTEX_ATTRIB1_4_NV

    public static final int GL_MAP1_VERTEX_ATTRIB1_4_NV

See Also:
  Constant Field Values

### GL_MAP1_VERTEX_ATTRIB2_4_NV

    public static final int GL_MAP1_VERTEX_ATTRIB2_4_NV

See Also:
  Constant Field Values

### GL_MAP1_VERTEX_ATTRIB3_4_NV

    public static final int GL_MAP1_VERTEX_ATTRIB3_4_NV

See Also:
  Constant Field Values

### GL_MAP1_VERTEX_ATTRIB4_4_NV

    public static final int GL_MAP1_VERTEX_ATTRIB4_4_NV

See Also:
  Constant Field Values

### GL_MAP1_VERTEX_ATTRIB5_4_NV

    public static final int GL_MAP1_VERTEX_ATTRIB5_4_NV

See Also:
  Constant Field Values

### GL_MAP1_VERTEX_ATTRIB6_4_NV

    public static final int GL_MAP1_VERTEX_ATTRIB6_4_NV

See Also:
  Constant Field Values

### GL_MAP1_VERTEX_ATTRIB7_4_NV

    public static final int GL_MAP1_VERTEX_ATTRIB7_4_NV

See Also:
  Constant Field Values

### GL_MAP1_VERTEX_ATTRIB8_4_NV

    public static final int GL_MAP1_VERTEX_ATTRIB8_4_NV

See Also:
  Constant Field Values

### GL_MAP1_VERTEX_ATTRIB9_4_NV

    public static final int GL_MAP1_VERTEX_ATTRIB9_4_NV

See Also:
  Constant Field Values

### GL_MAP1_VERTEX_ATTRIB10_4_NV

    public static final int GL_MAP1_VERTEX_ATTRIB10_4_NV

See Also:
  Constant Field Values

### GL_MAP1_VERTEX_ATTRIB11_4_NV

    public static final int GL_MAP1_VERTEX_ATTRIB11_4_NV

See Also:
  Constant Field Values

### GL_MAP1_VERTEX_ATTRIB12_4_NV

    public static final int GL_MAP1_VERTEX_ATTRIB12_4_NV

See Also:
  Constant Field Values

### GL_MAP1_VERTEX_ATTRIB13_4_NV

    public static final int GL_MAP1_VERTEX_ATTRIB13_4_NV

See Also:
  Constant Field Values

### GL_MAP1_VERTEX_ATTRIB14_4_NV

    public static final int GL_MAP1_VERTEX_ATTRIB14_4_NV

See Also:
  Constant Field Values

### GL_MAP1_VERTEX_ATTRIB15_4_NV

    public static final int GL_MAP1_VERTEX_ATTRIB15_4_NV

See Also:
  Constant Field Values

### GL_MAP2_VERTEX_ATTRIB0_4_NV

    public static final int GL_MAP2_VERTEX_ATTRIB0_4_NV

  Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_MAP2_VERTEX_ATTRIB1_4_NV

    public static final int GL_MAP2_VERTEX_ATTRIB1_4_NV

See Also:
  Constant Field Values

### GL_MAP2_VERTEX_ATTRIB2_4_NV

    public static final int GL_MAP2_VERTEX_ATTRIB2_4_NV

See Also:
  Constant Field Values

### GL_MAP2_VERTEX_ATTRIB3_4_NV

    public static final int GL_MAP2_VERTEX_ATTRIB3_4_NV

See Also:
  Constant Field Values

### GL_MAP2_VERTEX_ATTRIB4_4_NV

    public static final int GL_MAP2_VERTEX_ATTRIB4_4_NV

See Also:
  Constant Field Values

### GL_MAP2_VERTEX_ATTRIB5_4_NV

    public static final int GL_MAP2_VERTEX_ATTRIB5_4_NV

See Also:
  Constant Field Values

### GL_MAP2_VERTEX_ATTRIB6_4_NV

    public static final int GL_MAP2_VERTEX_ATTRIB6_4_NV

See Also:
  Constant Field Values

### GL_MAP2_VERTEX_ATTRIB7_4_NV

    public static final int GL_MAP2_VERTEX_ATTRIB7_4_NV

See Also:
  Constant Field Values

### GL_MAP2_VERTEX_ATTRIB8_4_NV

    public static final int GL_MAP2_VERTEX_ATTRIB8_4_NV

See Also:
  Constant Field Values

### GL_MAP2_VERTEX_ATTRIB9_4_NV

    public static final int GL_MAP2_VERTEX_ATTRIB9_4_NV

See Also:
  Constant Field Values

### GL_MAP2_VERTEX_ATTRIB10_4_NV

    public static final int GL_MAP2_VERTEX_ATTRIB10_4_NV

See Also:
  Constant Field Values

### GL_MAP2_VERTEX_ATTRIB11_4_NV

    public static final int GL_MAP2_VERTEX_ATTRIB11_4_NV

See Also:
  Constant Field Values

### GL_MAP2_VERTEX_ATTRIB12_4_NV

    public static final int GL_MAP2_VERTEX_ATTRIB12_4_NV

See Also:
  Constant Field Values

### GL_MAP2_VERTEX_ATTRIB13_4_NV

    public static final int GL_MAP2_VERTEX_ATTRIB13_4_NV

See Also:
  Constant Field Values

### GL_MAP2_VERTEX_ATTRIB14_4_NV

    public static final int GL_MAP2_VERTEX_ATTRIB14_4_NV

See Also:
  Constant Field Values

### GL_MAP2_VERTEX_ATTRIB15_4_NV

    public static final int GL_MAP2_VERTEX_ATTRIB15_4_NV

See Also:
  Constant Field Values

Method Detail

### glExecuteProgramNV

    public static void glExecuteProgramNV(int target,
                                          int id,
                                          java.nio.FloatBuffer params)

### glGetProgramParameterNV

    public static void glGetProgramParameterNV(int target,
                                               int index,
                                               int parameterName,
                                               java.nio.FloatBuffer params)

### glGetProgramParameterNV

    public static void glGetProgramParameterNV(int target,
                                               int index,
                                               int parameterName,
                                               java.nio.DoubleBuffer params)

### glGetTrackMatrixNV

    public static void glGetTrackMatrixNV(int target,
                                          int address,
                                          int parameterName,
                                          java.nio.IntBuffer params)

### glGetVertexAttribNV

    public static void glGetVertexAttribNV(int index,
                                           int parameterName,
                                           java.nio.FloatBuffer params)

### glGetVertexAttribNV

    public static void glGetVertexAttribNV(int index,
                                           int parameterName,
                                           java.nio.DoubleBuffer params)

### glGetVertexAttribNV

    public static void glGetVertexAttribNV(int index,
                                           int parameterName,
                                           java.nio.IntBuffer params)

### glGetVertexAttribPointerNV

    public static java.nio.ByteBuffer glGetVertexAttribPointerNV(int index,
                                                                 int parameterName,
                                                                 long result_size)

### glProgramParameter4fNV

    public static void glProgramParameter4fNV(int target,
                                              int index,
                                              float x,
                                              float y,
                                              float z,
                                              float w)

### glProgramParameter4dNV

    public static void glProgramParameter4dNV(int target,
                                              int index,
                                              double x,
                                              double y,
                                              double z,
                                              double w)

### glProgramParameters4NV

    public static void glProgramParameters4NV(int target,
                                              int index,
                                              java.nio.FloatBuffer params)

### glProgramParameters4NV

    public static void glProgramParameters4NV(int target,
                                              int index,
                                              java.nio.DoubleBuffer params)

### glTrackMatrixNV

    public static void glTrackMatrixNV(int target,
                                       int address,
                                       int matrix,
                                       int transform)

### glVertexAttribPointerNV

    public static void glVertexAttribPointerNV(int index,
                                               int size,
                                               int type,
                                               int stride,
                                               java.nio.DoubleBuffer buffer)

### glVertexAttribPointerNV

    public static void glVertexAttribPointerNV(int index,
                                               int size,
                                               int type,
                                               int stride,
                                               java.nio.FloatBuffer buffer)

### glVertexAttribPointerNV

    public static void glVertexAttribPointerNV(int index,
                                               int size,
                                               int type,
                                               int stride,
                                               java.nio.ByteBuffer buffer)

### glVertexAttribPointerNV

    public static void glVertexAttribPointerNV(int index,
                                               int size,
                                               int type,
                                               int stride,
                                               java.nio.IntBuffer buffer)

### glVertexAttribPointerNV

    public static void glVertexAttribPointerNV(int index,
                                               int size,
                                               int type,
                                               int stride,
                                               java.nio.ShortBuffer buffer)

### glVertexAttribPointerNV

    public static void glVertexAttribPointerNV(int index,
                                               int size,
                                               int type,
                                               int stride,
                                               long buffer_buffer_offset)

### glVertexAttrib1sNV

    public static void glVertexAttrib1sNV(int index,
                                          short x)

### glVertexAttrib1fNV

    public static void glVertexAttrib1fNV(int index,
                                          float x)

### glVertexAttrib1dNV

    public static void glVertexAttrib1dNV(int index,
                                          double x)

### glVertexAttrib2sNV

    public static void glVertexAttrib2sNV(int index,
                                          short x,
                                          short y)

### glVertexAttrib2fNV

    public static void glVertexAttrib2fNV(int index,
                                          float x,
                                          float y)

### glVertexAttrib2dNV

    public static void glVertexAttrib2dNV(int index,
                                          double x,
                                          double y)

### glVertexAttrib3sNV

    public static void glVertexAttrib3sNV(int index,
                                          short x,
                                          short y,
                                          short z)

### glVertexAttrib3fNV

    public static void glVertexAttrib3fNV(int index,
                                          float x,
                                          float y,
                                          float z)

### glVertexAttrib3dNV

    public static void glVertexAttrib3dNV(int index,
                                          double x,
                                          double y,
                                          double z)

### glVertexAttrib4sNV

    public static void glVertexAttrib4sNV(int index,
                                          short x,
                                          short y,
                                          short z,
                                          short w)

### glVertexAttrib4fNV

    public static void glVertexAttrib4fNV(int index,
                                          float x,
                                          float y,
                                          float z,
                                          float w)

### glVertexAttrib4dNV

    public static void glVertexAttrib4dNV(int index,
                                          double x,
                                          double y,
                                          double z,
                                          double w)

### glVertexAttrib4ubNV

    public static void glVertexAttrib4ubNV(int index,
                                           byte x,
                                           byte y,
                                           byte z,
                                           byte w)

### glVertexAttribs1NV

    public static void glVertexAttribs1NV(int index,
                                          java.nio.ShortBuffer v)

### glVertexAttribs1NV

    public static void glVertexAttribs1NV(int index,
                                          java.nio.FloatBuffer v)

### glVertexAttribs1NV

    public static void glVertexAttribs1NV(int index,
                                          java.nio.DoubleBuffer v)

### glVertexAttribs2NV

    public static void glVertexAttribs2NV(int index,
                                          java.nio.ShortBuffer v)

### glVertexAttribs2NV

    public static void glVertexAttribs2NV(int index,
                                          java.nio.FloatBuffer v)

### glVertexAttribs2NV

    public static void glVertexAttribs2NV(int index,
                                          java.nio.DoubleBuffer v)

### glVertexAttribs3NV

    public static void glVertexAttribs3NV(int index,
                                          java.nio.ShortBuffer v)

### glVertexAttribs3NV

    public static void glVertexAttribs3NV(int index,
                                          java.nio.FloatBuffer v)

### glVertexAttribs3NV

    public static void glVertexAttribs3NV(int index,
                                          java.nio.DoubleBuffer v)

### glVertexAttribs4NV

    public static void glVertexAttribs4NV(int index,
                                          java.nio.ShortBuffer v)

### glVertexAttribs4NV

    public static void glVertexAttribs4NV(int index,
                                          java.nio.FloatBuffer v)

### glVertexAttribs4NV

    public static void glVertexAttribs4NV(int index,
                                          java.nio.DoubleBuffer v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.